Senin, 25 Februari 2013

Running popular mobile platform SDKs in BlankOn 64 bit

For Linux developers, at least both Nokia and BlackBerry suggest to use 32-bit installation. This is to avoid incompatibilities because they only provide their tools in 32-bit. However, it is possible to run them in 64-bit installation by following the guidelines below. The key is to install correct 32-bit packages. These SDKs provided tools are unfortunately very silent when they are missing some packages. The list of packages here were obtained by doing tracing and troubleshooting with strace and ldd tools.

I use 64-bit BlankOn 9.0 Suroboyo alpha daily release. It is compatible with Debian Sid, so the guidelines here applies also to Debian or Ubuntu or other Debian derivatives. The method described here is the multiarch. By using this guide, I can successfully run Nokia Web Tools for Asha and BlackBerry 10 Native Development Kit.

First, we need to register the i386 architecture into the dpkg system:

sudo dpkg --add-architecture i386

Then we need to refresh the package database:
sudo apt-get update
Then we start to install the necessary packages. The packages we install are the GTK+ and friends, Bluetooth, SSL and XUL runner packages:
sudo apt-get  -f -o Dpkg::Options::="--force-overwrite" install ia32-libs gtk2-engines-murrine:i386 libgtk2.0-bin:i386 libgtkmm-2.4-dbg:i386 libbluetooth3:i386 xulrunner-7.0:i386  libstartup-notification0:i386 libssl0.9.8:i386
And that's it. Now you can install the SDKs and enjoy coding for the platforms you desire.



Tidak ada komentar:

Poskan Komentar